#
# Conditional build:
%bcond_with	tests	# perform "make test" (requires some plugins to be operational)
#
%include	/usr/lib/rpm/macros.perl
%define		pnam	GStreamer
Summary:	Perl gstreamer bindings
Summary(pl.UTF-8):	Wiązania gstreamera dla Perla
Name:		perl-GStreamer
Version:	0.20
Release:	4
License:	LGPL v2.1+
Group:		Development/Languages/Perl
Source0:	http://downloads.sourceforge.net/gtk2-perl/%{pnam}-%{version}.tar.gz
# Source0-md5:	c848ea3dca4017953755f787dc8add8f
URL:		http://gtk2-perl.sourceforge.net/
BuildRequires:	gstreamer0.10-devel >= 0.10.9
BuildRequires:	perl-ExtUtils-Depends >= 0.205
BuildRequires:	perl-ExtUtils-PkgConfig >= 1.07
BuildRequires:	perl-Glib-devel >= 1.180
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
Requires:	perl-Glib >= 1.180
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module provides Perl access to gstreamer library.

%description -l pl.UTF-8
Ten moduł daje dostęp z poziomu Perla do biblioteki gstreamera.

%package devel
Summary:	Development files for Perl GStreamer bindings
Summary(pl.UTF-8):	Pliki programistyczne wiązań GStreamera dla Perla
Group:		Development/Languages/Perl
Requires:	%{name} = %{version}-%{release}
Requires:	gstreamer0.10-devel >= 0.10.9
Requires:	perl-Glib-devel >= 1.180

%description devel
Development files for Perl GStreamer bindings.

%description devel -l pl.UTF-8
Pliki programistyczne wiązań GStreamera dla Perla.

%prep
%setup -q -n %{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor

%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} pure_install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{perl_vendorarch}/GStreamer/*.pod
%{__rm} $RPM_BUILD_ROOT%{perl_vendorarch}/GStreamer/*/*.pod

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc NEWS README TODO
%{perl_vendorarch}/GStreamer.pm
%dir %{perl_vendorarch}/GStreamer
%dir %{perl_vendorarch}/auto/GStreamer
%attr(755,root,root) %{perl_vendorarch}/auto/GStreamer/GStreamer.so
%{_mandir}/man3/GStreamer*.3pm*

%files devel
%defattr(644,root,root,755)
%{perl_vendorarch}/GStreamer/Install
%changelog
* Mon Jun 12 2017 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-GStreamer.git;a=log;h=auto/th/perl-GStreamer-0.20-4

* Sun Jun 11 2017 Jan Rękorajski <baggins@pld-linux.org> 6c16328
- perl req/prov fix
- release 4 (by relup.sh)

* Sun Jun 11 2017 Jan Rękorajski <baggins@pld-linux.org> f0f0f2a
- rebuild with perl 5.26
- release 3 (by relup.sh)

* Sun Oct 30 2016 Jan Rękorajski <baggins@pld-linux.org> c0b332e
- rebuild with perl 5.24.0
- release 2 (by relup.sh)

* Sun Jan 10 2016 Jakub Bogusz <qboosh@pld-linux.org> 4b61a14
- updated to 0.20

* Thu Dec 24 2015 Jan Rękorajski <baggins@pld-linux.org> 58e7a16
- release 3 (by relup.sh)

* Thu Feb 26 2015 Jan Rękorajski <baggins@pld-linux.org> d37fb9a
- x32 rebuild
- release 2 (by relup.sh)

* Mon Sep 15 2014 Jan Rękorajski <baggins@pld-linux.org> 24353d5
- up to 0.19

* Mon Sep 15 2014 Jan Rękorajski <baggins@pld-linux.org> 6c07e10
- release 3 (by relup.sh)

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> 08902ab
- removed zero-sized .bs file

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> e923d38
- rebuild for perl 5.20
- release 2 (by relup.sh)

* Sun Jun 23 2013 Jakub Bogusz <qboosh@pld-linux.org> f6a0f05
- updated to 0.18
- separated devel part

* Sat Jun 08 2013 Jan Rękorajski <baggins@pld-linux.org> 23bf4e3
- rebuild with perl 5.18.0
- release 2 (by relup.sh)

* Tue Jun 05 2012 Jakub Bogusz <qboosh@pld-linux.org> fd61640
- updated to 0.17

* Sat Aug 13 2011 Jakub Bogusz <qboosh@pld-linux.org> 1c8c81e
- updated to 0.16

* Thu Mar 10 2011 Jakub Bogusz <qboosh@pld-linux.org> a81d570
- use __rm macro

* Sun Jun 06 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> ebb5156
- release 2

* Mon Sep 14 2009 amateja <amateja@pld-linux.org> 31f0357
- updated to 0.15

* Sun Jul 20 2008 Jakub Bogusz <qboosh@pld-linux.org> 1cc2070
- updated Glib dep

* Sun Jul 20 2008 Jakub Bogusz <qboosh@pld-linux.org> 6c22ed5
- updated to 0.11

* Sat Feb 23 2008 Elan Ruusamäe <glen@pld-linux.org> 4f862b3
- release 3

